---
title: Meeting Minutes 2021-09-16
date: 2021-09-16
attendees:
  - toddrosedahl,ibm
  - billflynn,ibm
  - karolgugala,antmicro
  - timansell,google
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 16 September 2021
Access link: https://zoom.us/j/91597478078
Meeting ID: 91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.
New version [HERE](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA

## Procedural update
* Todd to run the late call with the Australians
* Karol to run the Europe time call (this call)

## Getting hardware to people -- Update

There are 3 components: host system (AC922), Interposer board, DC-SCM Board.

 * AC922
     * 1 is in Rochester
     * 1 is in Australia
     * 1 is in Sunnyvale, USA @ Google
     * 1 is in Seattle, USA @ Google
     * Loaner from IBM Poland to Antmicro is in process
         * Some snags remain and are being worked through
         * No timeframe yet
     * Further action on aquiring AC922s
         * Antmicro is purchasing one and should have it soon
             * Snags have been worked through and reports are it should arrive in 3 weeks
         * VanTosh will also be purchasing at least one

     * 

 * Interposer
     * 6 pieces.  Parts for 4 more are in Rochester
         * Next step is to have them built
         * Todd was unable to get into the office as planned due to Covid Restrictions
         * Todd has permission for tomorrow and plans to deliver the parts to card build
     * 2 are in Rochester
     * 2 are in Australia
         * Delivered
     * 2 are at Antmicro
         * Reports are these have been delivered.
         * They have been delivered!

 *  DC-SCM board
     *  4 boards, but only 3 have FPGAs
         *  Update is Google is providing some to Antmicro.
             *  6 weeks out at least
         *  Also attempting to get some from China
         *  Plan to have 10 total when the FPGAs arrive.
         *  Need to be tested
     *  Update: Australia can get into the plant, so best may be to send 1 DC-SCM to Australia for bringup in parallel with the Antmicro bringup.
         *  Need general smoke test, RAM, ethernet test, GPIOs
         *  Once the FPGAs come, they will test and ship to Australia
             *  Since we are 3 weeks out on getting the AC922s to Antmicro, can we ship a smoke tested DC-SCM to IBM Australia ASAP?  Karol to check.

     *  Need to start working on getting Lattice parts for the DC-SCM board.  Michael will take the lead on this.
         *  PCBs sent in for production for lattice FPGA
         *  Still need memory and ethernet parts
         *  Marshall offered to help if there are issues getting FPGAs

     *  Lattice was interested in having a Crosslink-NX / Cerbra DC-SCM board designed.
         *  

## OCP Summit
 * Todd to show the booth location and layout
 * Want to have a "LibreBMC" setup for OCP Summit booth
     * Plan to ship from Rochester.  Need a DC-SCM card in Rochester.
     * Cannot power the AC922 at the booth
     * However, could we just power the DC-SCM card
         * The booth has only 1 2ft pedestal
         * Thinking just the AC922 hardware is what we will have.
         * There will not be a screen to show the demo

* LibreBMC was approved for a 5 minute "lightening" presentation.
    * Need to determine the key points to make and who will present

 * In addition to the 5 minute live presentation, a 20-30 minute full presentation can be shown as a part of the virtual conference
     * First Deadline for submission is Oct 11th
     * Final Deadline is Oct 25th
 
 *  Want a demo to be videotaped for that virtual conference presentation.
     * Antmicro will help to create the demo
     * What to show on the demo
         * BMCweb UI.
         * Lots of sensors/etc could be shown.


* Presentation of LibreBMC to the OCP DC-SCM working group has been moved to the public meeting on the first week of October.
    * Todd to create initial set of charts
        * Still in progress
    * Antmicro to update and co-present
        * Todd to re-send the info regarding the meeting details

* Yacoub Oulad Daoud <yacoub@google.com> is chasing Tim about slides for "A fully open source (tooling, hardware RTL, software) BMC"
    * AI(tansell@google.com): Send an introduction email.
    * rosedahl@us.ibm.com

## Gateware

* We **need** to a "real" LiteX based SoC rather than a FuseSoC + LiteX generator based mismash.
    * Example -- https://github.com/litex-hub/linux-on-litex-vexriscv
    * Repo exists -- https://github.com/litex-hub/linux-on-litex-power
    * https://github.com/enjoy-digital/litex/wiki/Run-Linux-On-Your-SoC#boot-linux-on-microwatt
    
* Need someone to fill the repo and fix the issues.
    * Any candidates?

* Requirements for gateware;
    * Must support following hardware parts;
        * Xilinx Artix 7 35T (current test board Arty A7-35T)
        * Lattice ECP5 25T (current test board ????)
        * [future] Lattice Crosslink NX (17k LUTs)
    * Expectation is that the full multi-core (minimum 2, preferred 4) and all the peripherals fit into these small FPGAs without problems (IE place and route takes under 15 minutes).
        * We know this can be done for RISC-V due to https://antmicro.com/blog/2020/05/multicore-vex-in-litex/
        * > Taking only 70% of a 35 KLUT FPGA
    * This is really about performance and fit.
        * https://j.mp/fpgabmc-bench
        * https://j.mp/softcpu-on-fpgas


## Software

### LiteEth upstreaming

 * Joel 'shenki' Stanley upstreamed the LiteEth driver
     * Mendy is looking at getting Joel more time to work on stuff in this area.
     * https://docs.google.com/document/d/1fwONeYDgXbiVtmBlO42JE0_ZI1lFBLGQKgy8L-tQXt4/edit#

 * Updates from Anton will wait until Tim A. is back and Anton is on.
     * Targeting next meeting for this discussion so we have Anton and Tim


## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 * Toshaan is targeting Sept for everything to be working as intended
 
 * Meeting invites are still not seeming to get mailed?
     * TODO : Need to make the system actually sends emails with ical attachments.

- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files (Google Drive being phased out)
https://files.openpower.foundation/s/iZRseq3XLtRcjtX


- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc


 
## Recap from last meeting:

* Top priority is booting an AC922 with OpenBMC on the Antmicro DC-SCM card using microwatt and a Xylinx FPGA
    * Desire is to have a full function FPGA and full function openBMC stack running
        * Not needed near term for the demo.
        * Would like this to prove the performance is adequate.
        * Need to work through priorities and next steps.

* Next priorities beyond the above
    * Tim A thinks linux on LiteX
    * Tim A thinks focus on soft CPU.  Smaller micro-watt.  Goal is a 4 Core SMP complex on an Xilinx Artix 35T
    * Support Lattice FPGA
        * Other options for next priorities
    * Open tool chain support for new FPGAs


## Next Meeting

{{< localdatetime date="2021-09-29" time="22:00">}}
