---
title: Meeting Minutes 2021-09-29
date: 2021-09-29
attendees:
  - toddrosedahl,ibm
  - billflynn,ibm
  - timansell,google
  - toshaanbharvani,vantosh
  - antonblanchard,ibm
  - micaelneuling,ibm
  - marshallgoldberg,lattice
  - lancealbertson,oregonstateuniversity
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 29 September 2021
Access link: https://zoom.us/j/91597478078
Meeting ID: 91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.
New version [HERE](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA


## Getting hardware to people -- Update

There are 3 components: host system (AC922), Interposer board, DC-SCM Board.

 * AC922
     * 1 is in Rochester
     * 1 is in Australia
     * 1 is in Sunnyvale, USA @ Google
     * 1 is in Seattle, USA @ Google
     * **Loaner from IBM Poland to Antmicro is in process**
         * **System is ready to ship**
         * **Antmicro should have an get an email from GLT EMEA to sign the loaner paperwork**
     * Further action on aquiring AC922s
         * Antmicro is purchasing one and should have it soon
             * Snags have been worked through and reports are it should arrive soon
             * **Any Update?**
         * VanTosh will also be purchasing at least one
             * PO send ETA end October 2021


 * Interposer
     * 6 pieces.  Parts for 4 more are in Rochester
         * **All Parts did not come to make more.  Todd working on tracking them down.**
     * 2 are in Rochester
     * 2 are in Australia
     * 2 are at Antmicro

 *  DC-SCM board
     *  4 boards, but only 3 have FPGAs
         *  Update is Google is providing some to Antmicro.
             *  6 weeks out at least
         *  Also attempting to get some from China
         *  Plan to have 10 total when the FPGAs arrive.
         *  Need to be tested
     *  **Update: Australia can get into the plant, so best may be to send 1 DC-SCM to Australia for bringup in parallel with the Antmicro bringup.**
         *  Need general smoke test, RAM, ethernet test, GPIOs
         *  Once the FPGAs come, they will test and ship to Australia
             *  Since we are 3 weeks out on getting the AC922s to Antmicro, can we ship a smoke tested DC-SCM to IBM Australia ASAP?  **Karol to check**.

     *  Need to start working on getting Lattice parts for the DC-SCM board.  Michael will take the lead on this.
         *  PCBs sent in for production for lattice FPGA
         *  Still need memory and ethernet parts
         *  Marshall offered to help if there are issues getting FPGAs
         *  **Any Update?**



## OCP Summit

 * Want to have a "LibreBMC" setup for OCP Summit booth
     * Plan to ship from Rochester.  Need a DC-SCM card in Rochester.
         * **Any update?**
     * Cannot power the AC922 at the booth
         * **There will be a screen now.  So a demo and various presentations could be playing on it.**

* LibreBMC was approved for a 5 minute "lightening" presentation.
    * **Todd sent out the rough draft and submitted it.  Waiting for further feedback.**

 * In addition to the 5 minute live presentation, a 20-30 minute full presentation can be shown as a part of the virtual conference
     * Todd is planning to use the DC-SCM presentation as a base.
         * Need to add a demo if possible
     * **First Deadline for submission is Oct 11th**
     * Final Deadline is Oct 25th
 
 *  Want a demo to be videotaped for that virtual conference presentation.
     * Antmicro will help to create the demo
         * **Though maybe we have this done in Australia due to lack of an AC922 at Antmicro**
     * What to show on the demo
         * BMCweb UI.
         * Lots of sensors/etc could be shown.


* Presentation of LibreBMC to the OCP DC-SCM working group has been moved to the public meeting on the first week of October.
    * **Todd created the initial charts.**
    * **Need Antmicro DC-SCM charts**

## **Gateware -- Discuss this week with Anton**

* We **need** to get to a "real" LiteX based SoC rather than a FuseSoC + LiteX generator based mismash.
    * Example -- https://github.com/litex-hub/linux-on-litex-vexriscv
    * Repo exists -- https://github.com/litex-hub/linux-on-litex-power
    * https://github.com/enjoy-digital/litex/wiki/Run-Linux-On-Your-SoC#boot-linux-on-microwatt
    
    
* Need someone to fill the repo and fix the issues.
    * Any candidates?

* Requirements for gateware;
    * Must support following hardware parts;
        * Xilinx Artix 7 35T (current test board Arty A7-35T)
        * Lattice ECP5 25T (current test board ????)
        * [future] Lattice Crosslink NX (17k LUTs)
    * Expectation is that the full multi-core (minimum 2, preferred 4) and all the peripherals fit into these small FPGAs without problems (IE place and route takes under 15 minutes).
        * We know this can be done for RISC-V due to https://antmicro.com/blog/2020/05/multicore-vex-in-litex/
        * > Taking only 70% of a 35 KLUT FPGA
    * This is really about performance and fit.
        * https://j.mp/fpgabmc-bench
        * https://j.mp/softcpu-on-fpgas


## Software



 * **Any new updates here?**

    

## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 * Toshaan is targeting Sept for everything to be working as intended
 
 * Meeting invites are still not seeming to get mailed?
     * Long term TODO : Need to make the system actually sends emails with ical attachments.  It will take awhile to make this work.  Rather we should have interested parties import the cal and get notifications.
     * [WebSys Document](https://files.openpower.foundation/s/Sj756P5B39T7XnP)

- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files
https://files.openpower.foundation/s/iZRseq3XLtRcjtX

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc



## New Topics?




## Next Meeting

{{< localdatetime date="2021-10-14" time="15:00">}}
