---
title: Meeting Minutes 2021-10-27
date: 2021-10-27
attendees:
  - toddrosedahl,ibm
  - billflynn,ibm
  - timansell,google
  - toshaanbharvani,vantosh
  - antonblanchard,ibm
  - micaelneuling,ibm
  - marshallgoldberg,lattice
  - lancealbertson,oregonstateuniversity
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 27 October 2021
Access link: https://zoom.us/j/91597478078
Meeting ID: 91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.
New version [HERE](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA


## Getting hardware to people -- Update

There are 3 components: host system (AC922), Interposer board, DC-SCM Board.

 * AC922
     * 1 is in Rochester
     * 1 is in Australia
     * 1 is in Sunnyvale, USA @ Google
     * 1 is in Seattle, USA @ Google
     * Loaner from IBM Poland to Antmicro is in process
         * System is ready to ship
         * **Shipped and arriving "soon"**
     * Further action on aquiring AC922s
         * Antmicro is purchasing one and should have it soon
             * Snags have been worked through and reports are it should arrive soon
             * **Hung up in customs.  Urgency is on it**
         * VanTosh will also be purchasing at least one
             * received and in testing


 * Interposer : https://git.openpower.foundation/librebmc/ac922interposer)
     * 6 pieces made.
         * 1 is in Rochester
         * **1 With Todd.  Ship this to Toshaan after SC21**
         * 2 are in Australia
         * 2 are at Antmicro
     * **Parts for 4 more ordered.  Six different components.**
         * **5 of the 6 have been delivered**
         * **1 part is on backorder from Mouse.  Outlook TBD.**

 *  DC-SCM board
     *  4 boards, but only 3 have FPGAs
         *  Google is providing some to Antmicro.
             *  Still waiting for parts for 4th
         *  Antmicro shipped one to Australia
             *  **Arrived and is in bring-up**
             *  **Plugged in, DC-SCM powers up.  No smoke!**
             *  **Can talk to the DC-SCM card via USB**
             *  **Micro-watt is booting**
         *  If you do not have an AC922, you need a special connector to get 12V to the DC-SCM card.
            * the power connectors for the ant micro card is this 
              https://www.digikey.com.au/en/products/detail/molex/5040510201/9954111?s=N4IgTCBcDaIOoFkwFYBsAOAnAWgHIBEQBdAXyA
            * you also need these headers (2 per connector above) 
https://www.digikey.com.au/en/products/detail/molex/5040520098/4357152?s=N4IgTCBcDaIOoFkCMAGJAWArAYQCoFoA5AERAF0BfIA 
         *  **1 was sent to Todd in Rochester.  Hung up in customs on a technicality**

     *  Need to start working on getting Lattice parts for the DC-SCM board.  Michael will take the lead on this.
         *  PCBs sent in for production for lattice FPGA
         *  Still need memory and ethernet parts
         *  Marshall offered to help if there are issues getting FPGAs
         *  **Still waiting. Karol to check on status**

## DC-SCM 2.0 Working Group -- Meets bi-weekly
*    No new activity to report 

## Open Power Foundation Summit  Oct 28th
* **Virtual only**
* **Todd is going to present.  Room D. 2:45 Central.**
    * **Pitch is about ready.**
    * **Mikey did a demo that I may show as well**
    * **Show "status" and "next steps" pages to see if there are any comments.**

## OCP Summit in San Jose -- Nov 9th and 10th

 * Will have a "LibreBMC" setup for OCP Summit booth
     * **AC922 has been shipped**
     * **Interposer will be there**
     * **Hoping to get the DC-SCM card in time**
     * **LibreBMC pdf has been submitted**
         * Will be a part of the virtual booth
         * Can be displayed at the booth as well
     * **Mikey did a demo showing Boxarty**
         * Will be a part of the virtual booth
         * Can be displayed at the booth as well


* LibreBMC was approved for a 5 minute "lightening" presentation.
    * **Todd submitted the final pitch and will present in person**


## SC21 in St. Louis -- Nov 14th to Nov 19th
* **Talked the OpenCAPI team and they will let us share the OpenCAPI booth**
* **Todd plans to ship the AC9222 and all to SC21**
* **Can present the same material at the booth**
    * **Would be nice to have an updated demo showing the DC-SCM card in action (if possible)**

## Gateware

* **Progress is being made on getting micro-watt inside lite-x**
    *  https://github.com/enjoy-digital/litex/pulls?q=is%3Apr+microwatt


## Software

 * **Any new updates here?**


## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 * Toshaan is targeting Sept for everything to be working as intended
 
 * Meeting invites are still not seeming to get mailed?
     * Long term TODO : Need to make the system actually sends emails with ical attachments.  It will take awhile to make this work.  Rather we should have interested parties import the cal and get notifications.
     * [WebSys Document](https://files.openpower.foundation/s/Sj756P5B39T7XnP)
     * Meeting invites should include a link to this agenda so everyone can add agenda topics.  Todd to add to the Australia time invite.  Michael/Karol to add to the Europe time invite

- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files
https://files.openpower.foundation/s/iZRseq3XLtRcjtX

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc


 
## New Topics?

* How do we get more people involved?
    * Need to get ready images to consume by people
    * Need LiteX-Hub support and integration
    * Add more FPGA boards supports
    * Get it running on Raspbery PI
    * Then add some documentation
    * 

* It was suggested that we should have a logo for libreBMC.  Any thoughts from the team.  Nice to have, but should not be a focus right now.  **Any ideas on this yet?**
* **Open the software stack to the world**
    * Step 1:  Get the FPGA/DC-SCM card booting the AC922
    * Step 2:  Incorporate microwatt into lite-x natively.
        
    * Step 3:  Enable others
        * Need others to be able to re-create the results.
        * Build all pieces -- Core, peripherals, OpenBMC,etc
        * Need official OpenBMC project and a makefile, bitbake/etc
    * Step 4:  Include the firmware into the CI infrastructure
    * Step 5:  Enhancements -- hoping for further industry participation
        * Full FPGA support (I2C, FSI, etc) More than just bit banging
        * Resource usage -- Shrink micro-watt to get 4 cores.
            * See requirements from Tim A. on last call
        * Full OpenBMC support expected for a standard server


## Next Meeting

{{< localdatetime date="2021-11-11" time="15:00">}}
