---
title: Meeting Minutes 2022-02-10
date: 2022-02-10
attendees:
  - toddrosedahl,ibm
  - toshaanbharvani,vantosh
  - timansell,google
  - karolgugala,antmicro
  - lancealbertson,oregonstateuniversity
  
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 10 February 2022
Access link: https://zoom.us/j/91597478078
Meeting ID: 91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.
New version [HERE](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA

 
  * Highlights from last meeting:
     * **Alan Cantle to present HPCM and discuss options for using LibreBMC on the chassis**
    * Interesting discussion.  As a first step, having LibreBMC boot a 2 socket P10 in the HPCM form factor seems doable.  The FPGA on the Host Interface board would have the LibreBMC function.  The interface from the HIB to the HPCM module is PCI (with its associated side band channels).  CPLDs would need to translate the signals such as FSI and LPC.  Could use the LTPI design point. Todd/Allan will stay in touch on this as the project progresses.  As a future design point, the HPMC could have the LibreBMC function embedded on it and the P10 modules could boot independently and be knitted together later

    * Watch the video here if interested:
https://www.youtube.com/watch?v=doYYZzWvZ-Q

## Getting hardware to people -- Update

* ECP5 PCBs are here (at Antmicro)![](https://files.openpower.foundation/apps/files_sharing/publicpreview/gQ98M85N4dm75nb?x=3840&y=1358&a=true&file=20220119_143240.jpg&scalingup=0)

* Artix based BMC with RoT jumper board (allowing booting from on-board flash) ![](https://files.openpower.foundation/s/bwAbiazgwbwSWas/preview)
    * Does Mikey want/need one.  **Todd** to follow up.

## Bringup

* Any update?



## OCP DC-SCM 2.0 Working Group -- Meets bi-weekly


* Todd to run a call with Google and some other key players to discuss our common direction.  TBD.

## Conference Report follow ups

* Had a follow up meeting with Kameleon.
    * Outcome was: Kameleon is not intending at this point to have everything open source nor to necessarily work with the open community on ROT/LibreBMC designs.  Potentially they will in the future.

## Communication / Collaboration

 * Still seems to be a large amount of work being done which isn't being communicated. Always seems unclear what is happening over in the "Australian team" and where to follow progress.
     * At the moment from random chat channels and twitter posts.
     * **Toshaan and Todd** to remind Aussies to do more in the open and make activity known.
 * Still seem to be issues with sending iCal meeting invites.
     * Yes, this is still an issue, we have some work-arounds planned

## Gateware

 * MicroWatt in LiteX
     * Seems to be some progress done by Joel Stanley?
         * Could the background design work been done in the open?
         * Is there more like this that is beign worked in the background?
     * https://github.com/enjoy-digital/litex/pull/1201 - microwatt: Move to latest and add countzero module #1201

 * PPC support in picolibc (PicoLibc is used LiteX bios and stuff).
     * **Todd** to reach out to the developer to see why they are adding.  What are their goals?
     * https://github.com/picolibc/picolibc/pull/250 - Implement frexpl for PowerPC #250
     * https://github.com/picolibc/picolibc/pull/192 - Add PowerPC support #192
     * https://github.com/picolibc/picolibc/pull/12 - Add build files for PowerPC platforms #12

 * Progress on MicroWatt CPU replacement (OpenPower foundation funded?)
     * Is OPF funding an FPGA optimized soft core replacement for uwatt? 
     * **Todd** to follow up with James Kulina

### Toolchain

 * Request to get GHDL into the conda-eda packages?
     * Can be done, might already be done?  **Todd** to follow up on this with Joel Stanely.

 * MicroWatt using SymbiFlow toolchain for Artix 7
     * People need to report reproducible bugs on upstream projects.
     * https://twitter.com/lkcl/status/1490077513468596234
       > ok so quick status update: symbiflow although it works with small designs is not coping with designs the size that Libre-SOC. and, for some reason, the developers on the IRC channel are completely unresponsive
       * Unreasonable to expect people to be available 24x7 and on the weekend.
    * https://twitter.com/lkcl/status/1491227315380301826
      > i just managed to get a 25 mhz boot of microwatt using symbiflow for the digilent arty a7-100t.  25 mhz is nowhere near enough to initialise the DDR3 DRAM IC which needs a minimum 48-55mhz depending on DRAM manufacturing tolerances. it's a start.


## Software

 * Linux 5.7 on Microwatt (Libre-SOC)
     * Does he mean 5.17 (which is current release candidate)
     * Why would someone be working on 5.7?
         * https://ftp.libre-soc.org/microwatt-linux-5.7-verilator-boot-buildroot.txt
 * 

## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 
 * Meeting invites are still not seeming to get mailed?
     * Long term TODO : Need to make the system actually sends emails with ical attachments.  It will take awhile to make this work.  Rather we should have interested parties import the cal and get notifications.
    
     * [WebSys Document](https://files.openpower.foundation/s/Sj756P5B39T7XnP)
     * Meeting invites should include a link to this agenda so everyone can add agenda topics.  Todd to add to the Australia time invite.  Michael/Karol to add to the Europe time invite
     * **Toshaan is testing the automatic meeting notice generation**

- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
https://chat.openpower.foundation/opf/channels/librebmc
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files
https://files.openpower.foundation/s/iZRseq3XLtRcjtX

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc


 
## New Topics


* How do we get more people involved? **Nothing new here**
    * Need to get ready images to consume by people
    * Need LiteX-Hub support and integration
    * Add more FPGA boards supports
    * Get it running on Raspbery PI
    * Then add some documentation
    * Badges and certificates
    

* It was suggested that we should have a logo for libreBMC.  Any thoughts from the team.  Nice to have, but should not be a focus right now.
    * **I did see an offer of help for a logo.  I will follow up**

* Open the software stack to the world **This is not new, but worth reminding us again of the next steps**
    * Step 1:  Get the FPGA/DC-SCM card booting the AC922
    * Step 2:  Incorporate microwatt into lite-x natively.
        
    * Step 3:  Enable others
        * Need others to be able to re-create the results.
        * Build all pieces -- Core, peripherals, OpenBMC,etc
        * Need official OpenBMC project and a makefile, bitbake/etc
        * **Need the project broken down into manageable pieces**
    * Step 4:  Include the firmware into the CI infrastructure
    * Step 5:  Enhancements -- hoping for further industry participation
        * Full FPGA support (I2C, FSI, etc) More than just bit banging
        * Resource usage -- Shrink micro-watt to get 4 cores.
            * See requirements from Tim A. on last call
        * Full OpenBMC support expected for a standard server



## Next Meeting

{{< localdatetime date="2022-02-23" time="23:00" >}}