---
title: Meeting Minutes 2022-02-23
date: 2022-02-23
attendees:
  - toddrosedahl,ibm
  - toshaanbharvani,vantosh
  - timansell,google
  - lancealbertson,oregonstateuniversity
  - antonblanchard,ibm
  - michaelneuling,ibm
  - xujinhuang,inspurpowersystems
  - munirahmad,lattice
  - daisukeoka,daisukeoka
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 23 February 2022
Access link: https://zoom.us/j/91597478078
Meeting ID: 91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.
New version [HERE](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA


## Getting hardware to people -- Update


* Artix based BMC with RoT jumper board (allowing booting from on-board flash) ![](https://files.openpower.foundation/s/bwAbiazgwbwSWas/preview)
    * **Mikey is having some built**


* Lattice ECP5 version of BCM?
    * work ongoing

* Lattice Crosslink-NX / Certus-NX version?
    * Lattice "next generation" Nexus FPGA line - Samsung 28nm FDSOI
    * https://www.latticesemi.com/LatticeNexus
    * https://github.com/YosysHQ/nextpnr/tree/master/nexus
    * Google is using this part in a ChromeOS project related to http://cfu-playground.rtfd.io/ (which is also LiteX based)
    * Myrtle Shah (gatecat) is doing a board with this for Linux development.
    * Both Crosslink-NX and Certus NX comes in 17K and 39K LUT versions.

## Bringup

* Any update?



## OCP DC-SCM 2.0 Working Group -- Meets bi-weekly


* Todd to run a call with Google and some other key players to discuss our common direction.  **Still WIP**

## Conference Report follow ups

* **Nothing New**

## Communication / Collaboration

 * **From Tim Ansell** Seems to be a large amount of work being done which isn't being communicated. Is there a better way to communicate what all is being worked on.

 * Still seem to be issues with sending iCal meeting invites.
     * Yes, this is still an issue, we have some work-arounds planned
     * **Update**?

 * Everyone should be posting things into the #librebmc-sig slack channel.

## Gateware

 * MicroWatt in LiteX
     * Seems to be some progress done by Joel Stanley?
         * Could the background design work been done in the open?
         * Is there more like this that is beign worked in the background?
     * https://github.com/enjoy-digital/litex/pull/1201 - microwatt: Move to latest and add countzero module #1201

 * PPC support in picolibc (PicoLibc is used LiteX bios and stuff).
     * **Todd** to reach out to the developer to see why they are adding.  What are their goals?
     * https://github.com/picolibc/picolibc/pull/250 - Implement frexpl for PowerPC #250
     * https://github.com/picolibc/picolibc/pull/192 - Add PowerPC support #192
     * https://github.com/picolibc/picolibc/pull/12 - Add build files for PowerPC platforms #12
     * **From Keith Packard: I'm looking for someone to help write bare-metal startup code to enable CI for picolibc on powerpc QEMU targets. If you know someone interested in bare metal (firmware) powerpc stuff, that might be an interesting project.**
     * 
         * **Todd to Follow up with antmicro on the following.**
         * Talk to Antmicro about Renode option? - https://renode.io/news/microwatt-power-isa-in-renode/
             * https://github.com/renode/renode
             * https://renode.readthedocs.io/en/latest/
             * https://renode.readthedocs.io/en/latest/tutorials/verilator-cosimulation.html
             * https://renode.readthedocs.io/en/latest/basic/metrics.html
                 * qemu tcg backend based
         * https://interrupt.memfault.com/blog/test-automation-renode
         * Friends at BeTrusted are using Renode for Precursor
             * https://www.bunniestudios.com/blog/?p=6336
             * https://xobs.io/precursor-and-renode/
         * Very heavily used in Zephyr
             * https://antmicro.com/blog/2021/11/renode-zephyr-dashboard-100-boards/


 * Progress on MicroWatt CPU replacement (OpenPower foundation funded?)
     * Is OPF funding an FPGA optimized soft core replacement for uwatt? 
     * **Todd verified that there is funded work for another core.  However, whether or not it is a "replacement" for Microwatt remains to be seen**
         * Target was "VexRISCV" resource usage and performance. **Talk about at a future meeting.  Todd to follow up**
         * http://j.mp/softcpu-on-fpgas
         * https://j.mp/fpgabmc-bench 



 

### Toolchain

 * Request to get GHDL into the conda-eda packages?
     * Can be done, might already be done?  **Todd** to follow up on this with Joel Stanely.  **Joel says this: We're trying to use symbiflow to build microwatt and that is a dependency**
     * https://github.com/hdl/conda-eda/issues/171
     * https://github.com/hdl/conda-eda/pull/180 - WIP


## Software

 * Linux 5.7 on Microwatt (Libre-SOC)
     * Does he mean 5.17 (which is current release candidate) **It is 5.7**
     * Why would someone be working on 5.7?
         * https://ftp.libre-soc.org/microwatt-linux-5.7-verilator-boot-buildroot.txt


## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 
 * Meeting invites are still not seeming to get mailed?
     * Long term TODO : Need to make the system actually sends emails with ical attachments.  It will take awhile to make this work.  Rather we should have interested parties import the cal and get notifications.
    
     * [WebSys Document](https://files.openpower.foundation/s/Sj756P5B39T7XnP)


- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
https://chat.openpower.foundation/opf/channels/librebmc
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files
https://files.openpower.foundation/s/iZRseq3XLtRcjtX

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc


 
## New Topics


* How do we get more people involved? **Nothing new here**
    * Need to get ready images to consume by people
    * Need LiteX-Hub support and integration
    * Add more FPGA boards supports
    * Get it running on Raspbery PI
    * Then add some documentation
    * Badges and certificates
    

* It was suggested that we should have a logo for libreBMC.  Any thoughts from the team.  Nice to have, but should not be a focus right now.
    * **I did see an offer of help for a logo.  I will follow up**

* Open the software stack to the world **This is not new, but worth reminding us again of the next steps**
    * Step 1:  Get the FPGA/DC-SCM card booting the AC922
    * Step 2:  Incorporate microwatt into lite-x natively.
        
    * Step 3:  Enable others
        * Need others to be able to re-create the results.
        * Build all pieces -- Core, peripherals, OpenBMC,etc
        * Need official OpenBMC project and a makefile, bitbake/etc
        * **Need the project broken down into manageable pieces**
    * Step 4:  Include the firmware into the CI infrastructure
    * Step 5:  Enhancements -- hoping for further industry participation
        * Full FPGA support (I2C, FSI, etc) More than just bit banging
        * Resource usage -- Shrink micro-watt to get 4 cores.
            * See requirements from Tim A. on last call
        * Full OpenBMC support expected for a standard server

* List of opens (potential barriers) for using FPGAs as BMCs
    * Cost -- Munir to follow up
    * Soft Error Rates -- Munir to follow up
    * Performance
    * Image size
    * **Todd to get more** 

* **IDEAS for Making Progress**
 * Incremental goal? Linux on LiteX VexRISCV like repository -- IE An example for just running a POWER Linux system on as many FPGA development boards as possible?
     * https://github.com/litex-hub/linux-on-litex-vexriscv -- >30 boards supported...
     * Repository exists - https://github.com/litex-hub/linux-on-litex-power
     * Another example is the Rocket version -- https://github.com/litex-hub/linux-on-litex-rocket

     * Could work on things like;
         * Improving Ethernet performance.
         * https://github.com/rprinz08/hBPF 

    * https://github.com/litex-hub/pythondata-cpu-microwatt <-- I believe this is auto-updating now?

 * **Set Goals -- Where do we want to be in 3mo, 6mo, 1 year?**
     * Tasks defined
     * Able to generate a bitstream for an FPGA using fully open source toolchain.
     * Have RTL suitable for real production usage that has software support in the upstream OpenBMC project.
     * Someone seriously starting to do a real (non-development) LibreBMC deployment.
     * Fully functional Gateware and OpenBMC code stack for AC922
         * Determine the performance/size
 * **Have someone replicate the FPGA/OpenBMC load from scratch**
     * Toshaan said he would do this with help from Anton/Mikey
     * Todd to send him the DC-SCM board and interposer
     * Mikey to send him the ROT jumper



## Next Meeting

{{< localdatetime date="2022-03-17" time="16:00" >}}