---
title: Meeting Minutes 2022-03-17
date: 2022-03-17
attendees:
  - toddrosedahl,ibm
  - toshaanbharvani,vantosh
  - timansell,google
  - karolgugala,antmicro
  - lancealbertson,oregonstateuniversity
  - piotrzierhoffer,antmicro
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 17 March 2022
Access link: https://zoom.us/j/91597478078
Meeting ID: 91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA


## Hardware Update


* Lattice ECP5 version of DC-SCM
    * Update?  Still missing some chips, but they do have the ECP5.  Covid outbreak stopped chips.
    * Raptor did get ECP5 modules to create their own BMC


## Bringup

* Any update?
* Does AntMicro have all the HW it needs to do bring-up on the AC922?
    * Any bring-up status?
    * Any help needed to replicate the build/etc done by IBM AUS?
    * Can we work together to update the build instructions/etc?
        * There is no guide today.
        * Can we get links and a very brief guide to start things.  **Todd to get this.**


## OCP DC-SCM 2.0 Working Group -- Meets bi-weekly


* Todd to run a call with Google and some other key players to discuss our common direction.  Still WIP.  Trying to define the functions/areas that we need to go after.  Lots of moving parts here in the industry.

## Conference Report follow ups

* Nothing New

## Communication / Collaboration


 * Still seem to be issues with sending iCal meeting invites.
     * Yes, this is still an issue, we have some work-arounds planned
     * Seems to add to the calendar, but puts in limited information
     * Update?

 * Reminder:  Everyone should be posting things into the #librebmc-sig slack channel.

## Gateware

Update?

## Simulation

 * Antmicro to discuss Renode
     * Advantage over QEMU is the device availability in the model related to BMC functions.  Temp sensors, power supplies, etc
     * Is not an RTL simulator, but would help for OpenBMC and Kernel driver debug
     * Many LiteX peripherals are supported 
     * If a peripheral is not supported, it needs to be created 
     * If we chose to use Renode, we need to create the list of needed peripherals vs available 
         * https://renode.readthedocs.io/en/latest/introduction/supported-boards.html#supported-peripherals
    * Add Piotr Presentation link [HERE](https://about.renode.io)
     * **Todd** to send note to Piotr with information on what we would like to do with Renode and where the links are to the code/etc.
         
 * Progress on MicroWatt CPU replacement (OpenPower foundation funded?)
     * OPF is funding an FPGA optimized soft core 
         * Target was "VexRISCV" resource usage and performance. **Todd to schedule at a future meeting**

## Toolchain

Updates?

## Software

Updates?

## FPGA Usage Barriers

* List of opens (potential barriers) for using FPGAs as BMCs
    * Cost -- Munir to follow up
    * Soft Error Rates -- Munir to follow up
        * Hard fails roughly the same as an ASIC
        * Looks like Xilinx SER FIT is reasonable (<200).
        * And detectable and fixable with an image reload
    * Performance
    * Image size 


## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 
 * Meeting invites are still not seeming to get mailed?
     * Long term TODO : Need to make the system actually sends emails with ical attachments.  It will take awhile to make this work.  Rather we should have interested parties import the cal and get notifications.
    
     * [WebSys Document](https://files.openpower.foundation/s/Sj756P5B39T7XnP)


- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
https://chat.openpower.foundation/opf/channels/librebmc
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files
https://files.openpower.foundation/s/iZRseq3XLtRcjtX

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc

 
## Community Involvement

* How do we generate more activity/interest
    * Engage Universities
        * **A Professor asked on linked in "How can me and my students contribute to this project"**
        * **What can we have them do right now?**
            * Linux-on-Litex-VexRiscV => Linux-on-Linux-Microwatt (/cc Anton)
            * Port LPC to Renode (/cc Piotr)
            * Documentation (/cc all)
            * **Todd** to reply with these and give an intro
    * Offer badges/certificates
    * Offer Bounties
    * Major League Hacking Interships
        * Start end of May.
        * Need to sign up by end of March
        * Must have sponsors to guide students and hold office hours
    * **But all of this is predicated on us having work items clearly identified and easily understood**
    * **Can we work to identify those now?**
    * We need BoD (Board of Directors) approval


* To enable the community, we need to do the following:

    * Documentation -- need build instructions, readme, etc
        * Need someone replicate the FPGA/OpenBMC load from scratch
        * Then document the process for others to follow
         * Toshaan said he would do this with help from Anton/Mikey
         * Todd to send him the DC-SCM board and interposer
         * Mikey to send him the ROT jumper
         * **Discuss this plan again.  I need the board back by Oct for a conference.  Is this doable**
    * Need small simple tasks identified
        * **Can we, right now, carve out Lite-X peripherals to be ported?**
    
    * Get the FPGA/DC-SCM card booting the AC922

    * Incorporate microwatt into lite-x natively. **update?**
        
    * Enable others
        * Need others to be able to re-create the results.
        * Build all pieces -- Core, peripherals, OpenBMC,etc
        * Need official OpenBMC project and a makefile, bitbake/etc
        * **Need the project broken down into manageable pieces**
        
    * Include the firmware into the CI infrastructure
    
    * Add Full FPGA support (I2C, FSI, etc) More than just bit banging:
    a.	PCIe
    b.	I2C
    c.	USB
    d.	FSI
    e.	GPIOs
    f.	LPC
    g.	Enet
    h.	Refclock
    i.	CLKIN
    j.	JTAG
    k.	DDR
    * Add Full OpenBMC support for the AC922
        * Fork the Witherspoon OpenBMC and run it

* Other Ideas?

    * Need LiteX-Hub support and integration
    * Add more FPGA boards supports
    * Get it running on Raspbery PI

* It was suggested that we should have a logo for libreBMC.  Any thoughts from the team.  Nice to have, but should not be a focus right now.
    * **I did see an offer of help for a logo.  I will follow up.  TBD**

## Making Progress
* **IDEAS for Making Progress**
 * Incremental goal? Linux on LiteX VexRISCV like repository -- IE An example for just running a POWER Linux system on as many FPGA development boards as possible?
     * https://github.com/litex-hub/linux-on-litex-vexriscv -- >30 boards supported...
     * Repository exists - https://github.com/litex-hub/linux-on-litex-power

     * Could work on things like;
         * Improving Ethernet performance.
         * https://github.com/rprinz08/hBPF 

    * https://github.com/litex-hub/pythondata-cpu-microwatt

 ## Goals -- Where do we want to be in 3mo, 6mo, 1 year  -- WIP
* Tasks defined and project broken down
 * Able to generate a bitstream for an FPGA using fully open source toolchain.
 * Have RTL suitable for real production usage that has software support in the upstream OpenBMC project.
 * Someone seriously starting to do a real (non-development) LibreBMC deployment.
 * Fully functional Gateware and OpenBMC code stack for AC922
 * Determine the performance/size

## Next Meeting

{{< localdatetime date="2022-03-30" time="23:00" >}}